import axios from '../api'

export default {
  getGenerateList(params) {
    return axios.post('/api/report/generateList', params)
  },
  getBaseData(params) {
    return axios.get('/api/report/basicData', params)
  },

  dropReport(params) {
    return axios.post('/api/report/dropReport', params)
  },

  reProcess(params) {
    return axios.post('/api/report/reProcess', params)
  },

  getCheckList(params) {
    return axios.post('/api/report/checkList', params)
  },

  generateSub(params) {
    return axios.post('/api/report/generateSub', params)
  },

  checkSub(params) {
    return axios.post('/api/report/checkSub', params)
  },

  getSearchList(params) {
    return axios.post('/api/report/searchList', params)
  },

  getInputList(params) {
    return axios.post('/api/report/inputList', params)
  },

  editUrl(params) {
    return axios.post('/api/report/editUrl', params)
  },

  generate(params) {
    return axios({
      method: "GET",
      url: '/api/report/generate?id=' + params.id,
      data: {}
    })
  },
  getDetail(params) {
    return axios({
      method: "GET",
      url: '/api/report/detail?id=' + params.id,
      data: {}
    })
  }
}


